﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SL_Tile
{
    public partial class MainPage : UserControl
    {
        ContentTemplateSelector _templateSelector;
        public MainPage()
        {
            InitializeComponent();

            _templateSelector = secondTile.ContentTemplateSelector as ContentTemplateSelector;
        }

        private void FlipTile(object sender, RoutedEventArgs e)
        {
            // enable animation
            secondTile.IsFrozen = false;
            // change condition in ContentTemplateSelector
            _templateSelector.Back = !_templateSelector.Back;
            // force animation
            secondTile.UpdateTile();
            // disable animation
            secondTile.IsFrozen = true;
            // if you don't want animations while content is not changed, set tile.IsFrozen to true and only turn on it while you change content
            // tile.IsFrozen = false;

        }

        private void Tile2_Change(object sender, RoutedEventArgs e)
        {
            int age;
            Int32.TryParse(txtAge.Text, out age);
            if (age > 18 )
            {
                tile.Content =
                "You are an Adult !";
            }
            else
            {
                tile.Content =
                "You are still a Kid !";
            }
            //tile.IsFrozen = true;

        }

    }

    public class ContentTemplateSelector : C1.Silverlight.C1DataTemplateSelector
    {

        public bool Back { get; set; }
        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {

            // select different content template depending on condition
            return (Back ? base.Resources["BackContentTemplate"] : base.Resources["ContentTemplate"]) as DataTemplate;
        }

    }
}
